Package tigase.xmpp.impl.push

# Class PriorityExtension

java.lang.Object
tigase.xmpp.impl.push.PriorityExtension

All Implemented Interfaces:
  `PushNotificationsAware`, `PushNotificationsExtension`

@Bean(name="priority", parent=PushNotifications.class, active=true) public class PriorityExtension extends Object implements PushNotificationsExtension

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PriorityExtension()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Element[]`
  `getDiscoFeatures()`
  `void`
  `prepareNotificationPayload(Element pushServiceSettings, Packet packet, long msgCount, Element notification)`
  `void`
  `processEnableElement(Element enableEl, Element settingsEl)`
  `boolean`
  `shouldSendNotification(Packet packet, BareJID userJid, XMPPResourceConnection session)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.xmpp.impl.push.PushNotificationsExtension

  `setPushNotifications`

- ## Constructor Details

  - ### PriorityExtension

    public PriorityExtension()

- ## Method Details

  - ### getDiscoFeatures

    public Element[] getDiscoFeatures()
    Specified by:
      `getDiscoFeatures` in interface `PushNotificationsAware`

  - ### shouldSendNotification

    public boolean shouldSendNotification(Packet packet, BareJID userJid, XMPPResourceConnection session) throws XMPPException
    Specified by:
      `shouldSendNotification` in interface `PushNotificationsExtension`
    Throws:
      `XMPPException`

  - ### processEnableElement

    public void processEnableElement(Element enableEl, Element settingsEl)
    Specified by:
      `processEnableElement` in interface `PushNotificationsAware`

  - ### prepareNotificationPayload

    public void prepareNotificationPayload(Element pushServiceSettings, Packet packet, long msgCount, Element notification)
    Specified by:
      `prepareNotificationPayload` in interface `PushNotificationsExtension`